import ReactDOM from 'react-dom';
import DeleteModal from 'app/common/DeleteModal';
import Modal from 'app/common/Modal.jsx';
import editorConfig from 'app/common/editorConfig';
import language from 'app/common/language';
import tabs from './tabs';
import './formatMoney.js';

function common(){
  window.g=window.g||{};
  //
  window.tableDefaultOptions = {
    paging: true,
    processing: true,
    serverSide: true,
    order: [[ 1, 'asc' ]],
    lengthMenu: [[10, 25, 50, 100], [10, 25, 50, 100]],
    dom: '<"row"<"col-sm-6"B><"col-sm-6"f>>'
    + '<"row"<"col-sm-12"rt>>'
    + '<"row"<"col-sm-7"il><"col-sm-5"p>>',
    buttons: ['csv', 'excel', 'print']
  };
//search
  window.applySearch = function($table, $search, $columnSearch){
    function searchCallback(e){
      if(e.keyCode == 13){
        $table.search($search.val());
        //console.log(t.column($s.parent().index()))
        $columnSearch.each(function(i, n){
          var $s = $(n);
          $table.column($s.attr('name') + ':name').search($s.val());
        });
        $table.draw();
      }
    }
    $search.off().on('keyup', searchCallback);
    $columnSearch.on('keyup',searchCallback);
  };

  //logout
  $('.btn_logout').on('click', function(e){
    e.preventDefault();
    $(".form_logout").submit();
  })


  window.openDeleteModal = function(message, cancelCallback, deleteCallback){
    var can = cancelCallback?cancelCallback:function(){};
    var del = deleteCallback?deleteCallback:function(){};
    ReactDOM.render(<DeleteModal
      message={message}
      cancelCallback={can}
      deleteCallback={del}
      />, document.getElementById('react_container'));
    //console.log(d);
  }
  window.closeModal = function($s){
    var node = ReactDOM.findDOMNode($s[0]);
    ReactDOM.unmountComponentAtNode(node);
  }

  /**
   * 能用显示modal
   */
  g.showModal = function(options){
    ReactDOM.render(<Modal options={options} />, document.getElementById('react_container'));
  }

  language();

  tabs();
  

}


export default common;